d3.csv("data/buildings.csv", function(data) {
	console.log(data);

	data.sort(function (a, b) {
		return b.height_m - a.height_m;
	});

	// function getId (d) {
		// console.log(d.getAttribute("id"));
	// }

	var svg = d3.select("#chart").append("svg")
		.attr("width", 1000)
		.attr("height", 1000);

	svg.selectAll("rect")
		.data(data)
		.enter()
		.append("rect")
		.attr("fill", "blue")
		.attr("stroke", "black")
		.attr("stroke-width", 3)
		.attr("width", function(d) {
			return +d.height_px;
		})
		.attr("height", 50)
		.attr("y", function(d, index) {
			return index * 50 + index * 20;
		})
		.attr("x", 300)
		.attr("id", function (d) {
			return d.building;
		})
		.on("click", function(d) {
			document.getElementById('picture').innerHTML = "<img src=\"data/img/" + d.image + "\">";
			document.getElementById('building').innerHTML =d.building;
			document.getElementById('height').innerHTML =d.height_m;
			document.getElementById('city').innerHTML =d.city;
			document.getElementById('country').innerHTML =d.country;
			document.getElementById('floors').innerHTML =d.floors;
			document.getElementById('completed').innerHTML =d.completed;
			document.getElementById('graph').style.display = "block";


		})


	svg.selectAll("text")
		.data(data)
		.enter()
		.append("text")
		.text(function(d, index) {
			return d.height_m;
		})
		.attr("x", function(d, index) {
			return +d.height_px + 300;
		})
		.attr("y", function(d, index) {
			return (index + 1) * 50 - 25 + index * 20;
		})
		.attr("text-anchor", "end")

	svg.selectAll("text.building")
		.data(data)
		.enter()
		.append("text")
		.attr("class", "building")
		.text(function(d, index) {
			return d.building;
		})
		.attr("x", function(d, index) {
			return +250;
		})
		.attr("y", function(d, index) {
			return (index + 1) * 50 - 25 + index * 20;
		})
		.attr("text-anchor", "end")
		.on("click", function(d) {
			document.getElementById('picture').innerHTML = "<img src=\"data/img/" + d.image + "\">";
			document.getElementById('building').innerHTML =d.building;
			document.getElementById('height').innerHTML =d.height_m;
			document.getElementById('city').innerHTML =d.city;
			document.getElementById('country').innerHTML =d.country;
			document.getElementById('floors').innerHTML =d.floors;
			document.getElementById('completed').innerHTML =d.completed;
			document.getElementById('graph').style.display = "block";


		})

});